Actualizare de securitate importanta pentru toate sistemele de operare

actualizare-de-securitate-importanta-pentru-toate-sistemele-de-operareSistemele de operare și managerii de masini virtuale remediază un defect de securitate care ar putea permite hackerilor să oprească funcționarea sistemelor sau să citească informații din memorie.

Principalii furnizori de software precum Microsoft, Apple și Linux au interpretat greșit documentația Intel cu privire la funcția de debugging pentru hardware și au expus utilizatorii unor potențiale riscuri, scrie eWeek.com.

Defectul de securitate a fost raportat pe 8 mai, iar furnizorii afectați au fost anunțați pe 30 aprilie și au emis deja actualizări. Defectul de securitate ar fi putut permite unui utilizator neautentificat să citească informații sensibile din memorie sau să controleze funcții simple ale sistemului de operare.

CERT precizează că eroarea se datorează unor greșeli de interpretare a documentației oferite de Intel.

Defectul a fost raportat de cercetătorii Nick Peterson al Everdox Tech și Nemanja Mulasmajic alof triplefault.io. Peterson și Mulasmajic explică că defectul se datorează unei lipse de control a unei perechi de debug registers folosite de sistemul de operare.

Producătorii de sisteme de operare și de manageri de masini virtuale au emis marți actualizări de securitate pentru a remedia problema. Actualizările sunt disponibile pentru Apple, DragonFly BSD, FreeBSD, Microsoft, Red Hat, SUSE Linux, Ubuntu, VMware și Xen, conform zdnet.com.

Este diferit felul în care acest defect de securitate afectează diversele sisteme de operare. Microsoft spune că vulnerabilitatea ar putea permite unui atacator să ruleze linii de cod în modul kernel, dar întâi trebuie să fie logat la sistem.

Cei de la Xen au spus că toate versiunile Xen sunt afectate, dar defectul poate fi exploatat doar de vizitatori PV( 'paravirtualization').

 

 

 

Powered by Bullraider.com

SPAccess - visitor management app